[pacman-dev] [PATCH 1/1] Tidy up usage of makepkg.conf
Andrew Fyfe
andrew at neptune-one.net
Sun Apr 1 19:55:01 EDT 2007
Moved the following variables into /etc/makepkg.conf
* BUILDSCRIPT
* PKGEXT
* DB_COMPRESSION
* DB_CHECKSUMS
Cleaned up sourcing of /etc/makepkg.conf in scripts and source
~/.makepkg.conf if it exists.
Signed-off-by: Andrew Fyfe <andrew at neptune-one.net>
diff --git a/etc/makepkg.conf.in b/etc/makepkg.conf.in
index 9ac0ef2..6f9e977 100644
--- a/etc/makepkg.conf.in
+++ b/etc/makepkg.conf.in
@@ -75,4 +75,16 @@ DOC_DIRS=(usr/{,share/}{info,doc,gtk-doc} opt/gnome/{,share/}{info,doc,gtk-doc})
#-- Packager: name/email of the person or organization building packages
#PACKAGER="John Doe <john at doe.com>"
+#########################################################################
+# BUILDSCRIPT/EXTENSION DEFAULTS
+#########################################################################
+#
+# WARNING: Do NOT modify these variables unless you know what you are
+# doing.
+#
+BUILDSCRIPT="PKGBUILD"
+PKGEXT=".pkg.tar.gz"
+DB_COMPRESSION="gz"
+DB_CHECKSUMS=(md5)
+
# vim: set ft=sh ts=2 sw=2 et:
diff --git a/scripts/gensync b/scripts/gensync
index 5a3dab8..9c50900 100755
--- a/scripts/gensync
+++ b/scripts/gensync
@@ -22,6 +22,17 @@
myver='3.0.0'
+if [ -r /etc/makepkg.conf ]; then
+ source /etc/makepkg.conf
+else
+ echo "ERROR: /etc/makepkg.conf not found. Can not continue." >&2
+ exit 1 # $E_CONFIG_ERROR # TODO: error codes
+fi
+
+if [ -r ~/.makepkg.conf ]; then
+ source ~/.makepkg.conf
+fi
+
usage() {
echo "gensync $myver"
echo "usage: $0 <root> <destfile> [package_directory]"
@@ -45,11 +56,6 @@ usage() {
exit 0
}
-BUILDSCRIPT="PKGBUILD"
-PKGEXT="pkg.tar.gz"
-
-source /etc/makepkg.conf
-
error () {
echo "==> ERROR: $*" >&2
}
diff --git a/scripts/makepkg.in b/scripts/makepkg.in
index 17a500b..62a2a44 100755
--- a/scripts/makepkg.in
+++ b/scripts/makepkg.in
@@ -36,11 +36,16 @@ export TEXTDOMAINDIR
myver='3.0.0'
startdir=$(pwd)
-BUILDSCRIPT="PKGBUILD"
-PKGEXT="pkg.tar.gz"
-
-source "/etc/abs/abs.conf"
-SRCROOT="$ABSROOT"
+# Only use ABSROOT if we haven't been passed a SRCROOT on the command line.
+if [ -z "$SRCROOT" ]; then
+ if [ -r /etc/abs/abs.conf ]; then
+ source /etc/abs/abs.conf
+ fi
+ if [ -r ~/.abs.conf ]; then
+ source ~/.abs.conf
+ fi
+ SRCROOT=$ABSROOT
+fi
# Options
CLEANUP=0
@@ -418,16 +423,16 @@ ARGLIST=$@
_PKGDEST=${PKGDEST}
_SRCDEST=${SRCDEST}
-#Source makepkg.conf; fail if it is not found
-if [ -f /etc/makepkg.conf ]; then
+# Source makepkg.conf; fail if it is not found
+if [ -r /etc/makepkg.conf ]; then
source /etc/makepkg.conf
else
error "$(gettext "/etc/makepkg.conf not found. cannot continue")"
- exit 1
+ exit 1 # $E_CONFIG_ERROR # TODO: error codes
fi
-#Source user-specific makepkg.conf overrides
-if [ -f ~/.makepkg.conf ]; then
+# Source user-specific makepkg.conf overrides
+if [ -r ~/.makepkg.conf ]; then
source ~/.makepkg.conf
fi
diff --git a/scripts/repo-add b/scripts/repo-add
index dc28016..1854f59 100755
--- a/scripts/repo-add
+++ b/scripts/repo-add
@@ -21,11 +21,19 @@
myver='3.0.0'
+if [ -r /etc/makepkg.conf ]; then
+ source /etc/makepkg.conf
+else
+ echo "ERROR: /etc/makepkg.conf not found. Can not continue." >&2
+ exit 1 # $E_CONFIG_ERROR # TODO: error codes
+fi
+
+if [ -r ~/.makepkg.conf ]; then
+ source ~/.makepkg.conf
+fi
+
FORCE=0
REPO_DB_FILE=""
-
-DB_COMPRESSION="gz" #TODO this is gross
-DB_CHECKSUMS=(md5)
TMP_DIR=""
# print usage instructions
diff --git a/scripts/repo-remove b/scripts/repo-remove
index eeee240..7d72e9a 100755
--- a/scripts/repo-remove
+++ b/scripts/repo-remove
@@ -21,11 +21,18 @@
myver='3.0.0'
+if [ -r /etc/makepkg.conf ]; then
+ source /etc/makepkg.conf
+else
+ echo "ERROR: /etc/makepkg.conf not found. Can not continue." >&2
+ exit 1 # $E_CONFIG_ERROR # TODO: error code
+fi
+if [ -r ~/.makepkg.conf ]; then
+ source ~/.makepkg.conf
+fi
+
FORCE=0
REPO_DB_FILE=""
-
-DB_COMPRESSION="gz" #TODO this is gross
-DB_CHECKSUMS=(md5)
TMP_DIR=""
# print usage instructions
diff --git a/scripts/updatesync b/scripts/updatesync
index a4a6847..c988a9b 100755
--- a/scripts/updatesync
+++ b/scripts/updatesync
@@ -23,6 +23,16 @@
myver='3.0.0'
+if [ -r /etc/makepkg.conf ]; then
+ source /etc/makepkg.conf
+else
+ echo "ERROR: /etc/makepkg.conf not found. Can not continue." >&2
+ exit 1 # $E_CONFIG_ERROR # TODO: error codes
+fi
+if [ -r ~/.makepkg.conf ]; then
+ source ~/.makepkg.conf
+fi
+
usage() {
echo "updatesync $myver"
echo "usage: $0 <action> <destfile> <option> [package_directory]"
@@ -47,11 +57,6 @@ usage() {
exit 0
}
-BUILDSCRIPT="PKGBUILD"
-PKGEXT="pkg.tar.gz"
-
-source /etc/makepkg.conf
-
error () {
echo "==> ERROR: $*" >&2
}
--
1.5.0.6
More information about the pacman-dev
mailing list